package com.dragon.car.service.rabbit;

import com.alibaba.fastjson.JSONObject;
import com.dragon.car.service.service.FaultService;
import com.rabbitmq.client.Channel;
import lombok.extern.log4j.Log4j2;
import org.springframework.amqp.core.Message;
import org.springframework.amqp.rabbit.annotation.Queue;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.io.IOException;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;

/**
 * @author 冯凯
 * @version 1.0
 * @description:
 * @date 2023/12/6 22:01
 */
@Component
@Log4j2
public class ListenFaultCode {

    @Autowired
    private FaultService faultService;

    @RabbitListener(queuesToDeclare = {@Queue(value = "fault_Dqueue")})
    public void consumerSubscribe(String mesg, Message message, Channel channel) {
        HashMap hashMap = JSONObject.parseObject(mesg, HashMap.class);
        String string = (String) hashMap.get("startTime");
        faultService.insertFaultRecord(hashMap);

        log.info("收到消息【{}】", hashMap);
        try {
            faultService.insertFaultRecord(hashMap);
            channel.basicAck(message.getMessageProperties().getDeliveryTag(), false);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }


}
