package com.dragon.car.service.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.dragon.car.domain.req.RequestCar;
import com.dragon.car.service.mapper.CarManageMapper;
import com.dragon.car.service.service.CarManageService;
import com.dragon.common.core.domain.Result;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @author : Administrator
 * @description : 车辆业务逻辑层
 */
@Service
@Log4j2
public class CarManageServiceImpl implements CarManageService {

	@Resource
	CarManageMapper carMapper;


	/**
	 * 初始化车辆
	 *
	 * @return List<CarInit> 企业管理的车-列表
	 */
	@Override
	public Result carInit (String vin) {
		// 用车辆的vin查询是否有该车辆，车辆的vin字段和String vin是一致的
		int i = 0;
		RequestCar car = carMapper.selectOne (new QueryWrapper<RequestCar> ().eq ("vin", vin));
		if (car != null) {
			// 当查询到有该车辆时，修改字段car_status的值为'1'
			car.setCarStatus ("1");
			i = carMapper.updateById (car);
		}
		else {
			return Result.error ("没有这车");
		}
		return Result.success (i > 0 ? "车辆上线" : "上线失败");
	}

	@Override
	public Result carAdd(String vin, String carName, String carType, String carColor, String carBrand, String carModel, String carEngine, String carPrice, String carImg) {
		return null;
	}


}
